%global debug_package %{nil}

Name:    unixbench
Version: 5.1.3
Release: 2%{?dist}
Summary: UnixBench is the original BYTE UNIX benchmark suite, updated and revised by many people over the years
License: GPLv2
URL:	 https://github.com/kdlucas/byte-unixbench
Source0: https://github.com/kdlucas/byte-unixbench/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc

%description
The purpose of UnixBench is to provide a basic indicator of the performance of a Unix-like system; hence, multiple tests are used to test various aspects of the system's performance. These test results are then compared to the scores from a baseline system to produce an index value, which is generally easier to handle than the raw scores. The entire set of index values is then combined to make an overall index for the system

For the reason that this is not a packaging friendly software, please refer to HOWTO to find out how to use this package


%prep
%setup -q -n byte-%{name}-%{version}/

%build
cd UnixBench
%make_build

%install
cd UnixBench
mkdir -p %{buildroot}/usr/share/%{name}/pgms
mkdir -p %{buildroot}/usr/share/%{name}/src
mkdir -p %{buildroot}/usr/share/%{name}/testdir

install -m 0644 src/* %{buildroot}/usr/share/%{name}/src/
install -m 0644 testdir/* %{buildroot}/usr/share/%{name}/testdir/
install -m 0644 README %{buildroot}/usr/share/%{name}/
install -m 0644 USAGE %{buildroot}/usr/share/%{name}/
install -m 0644 Makefile %{buildroot}/usr/share/%{name}/
install -m 0755 Run %{buildroot}/usr/share/%{name}/
install -m 0755 pgms/gfx-x11 %{buildroot}/usr/share/%{name}/pgms/
install -m 0755 pgms/multi.sh %{buildroot}/usr/share/%{name}/pgms/
install -m 0755 pgms/*.sh %{buildroot}/usr/share/%{name}/pgms/
install -m 0644 pgms/index.base %{buildroot}/usr/share/%{name}/pgms/
install -m 0644 pgms/unixbench.logo %{buildroot}/usr/share/%{name}/pgms/


%files
/usr/share/%{name}/*

%changelog
* Thu Mar 27 2025 happy_orange <songnannan@linux.alibaba.com> - 5.1.3-2
- add dist in release

* Fri Mar 07 2025 Kaiqiang Wang <wangkaiqiang@ieisystem.com> - 5.1.3-1
- init to 5.1.3
